package com.cm.websocket.exception;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: TypeErrorException
 * @Description: 类型错误异常
 * @Author: wanggeng
 * @Date: 2021/1/14 12:14 下午
 * @Version: 1.0
 */
public class TypeErrorException extends BaseSocketException{
    public TypeErrorException() {
    }

    public TypeErrorException(String message) {
        super(message);
    }

    public TypeErrorException(String message, Throwable cause) {
        super(message, cause);
    }

    public TypeErrorException(Throwable cause) {
        super(cause);
    }

    public TypeErrorException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
